# Private library with rpath
%define __noautoprov 'libvlc_vdpau\\.so\\.0(.*)'
%define __noautoreq 'libvlc_vdpau\\.so\\.0(.*)'

%define with_goom 0

%define with_faad 0
%define with_faac 0
%define with_lame 0
%define with_dts 0
%define with_x264 0
%define with_x265 0

%define libmajor	5
%define coremajor	8
%define libname		%mklibname %{name} %{libmajor}
%define libnamecore	%mklibname vlccore %{coremajor}
%define devname		%mklibname %{name} -d

######################
# Hardcode PLF build
%define with_plf 0
######################

%if %{with_plf}
# make EVR of plf build higher than regular to allow update, needed with rpm5 mkrel
%define extrarelsuffix plf
%define distsuffix plf
%global with_dts 1
%global with_faac 1
%global with_faad 1
%global with_lame 1
%global with_x264 1
%global with_x265 1
%endif

%define git_url git://git.videolan.org/vlc.git

Summary:	MPEG, MPEG2, DVD and DivX player
Name:		vlc
Version:	2.2.6
Release:	1%{?extrarelsuffix}
#gw the shared libraries are LGPL
License:	GPLv2+ and LGPLv2+
Group:		Video
Url:		http://www.videolan.org/
Source0:	http://download.videolan.org/pub/videolan/%{name}/%{version}/%{name}-%{version}.tar.xz
Source1:	http://download.videolan.org/pub/videolan/%{name}/%{version}/%{name}-%{version}.tar.xz.asc
Source2:	vlc-2.2.3-ru.po
Patch0:		vlc-2.0.1-automake-1.12.patch
Patch1:		vlc-2.2.1-fix-default-font.patch
Patch2:		vlc-2.0.0-desktop-l10n.patch
# Replace live555 detection part in configure.ac with older code
# because we don't have .pc file in current live555 version
Patch3:		vlc-2.1.2-live555-path.patch
Patch4:		vlc-2.1.2-live555-201306.patch
Patch6:		vlc-2.2.3-ffmpeg3.patch
Patch7:		vlc-2.2.4-cxx0x.patch
BuildRequires:	autoconf2.5
BuildRequires:	automake
BuildRequires:	desktop-file-utils
BuildRequires:	libtool
BuildRequires:	kdelibs4-core
BuildRequires:	ffmpeg-devel
BuildRequires:	gettext-devel
BuildRequires:	jpeg-devel
BuildRequires:	liba52dec-devel
BuildRequires:	libdvdnav-devel
BuildRequires:	libmatroska-devel
BuildRequires:	libmpcdec-devel
BuildRequires:	libmpeg2dec-devel >= 0.4.0
BuildRequires:	live-devel
BuildRequires:	libtar-devel
BuildRequires:	sysfsutils-devel
BuildRequires:	pkgconfig(alsa)
BuildRequires:	pkgconfig(avahi-client)
BuildRequires:	pkgconfig(caca)
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(dirac)
BuildRequires:	pkgconfig(dvdread)
BuildRequires:	pkgconfig(egl)
BuildRequires:	pkgconfig(flac)
# Disable until upstream adds freerdp2 support
#BuildRequires:	pkgconfig(freerdp)
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(fribidi)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(gnome-vfs-2.0)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	pkgconfig(id3tag)
BuildRequires:	pkgconfig(jack)
BuildRequires:	pkgconfig(libbluray) >= 0.2.1
BuildRequires:	pkgconfig(libcdio)
BuildRequires:	pkgconfig(libcddb)
BuildRequires:	pkgconfig(libchromaprint)
BuildRequires:	pkgconfig(libdvbpsi)
BuildRequires:	pkgconfig(libmodplug)
BuildRequires:	pkgconfig(libmtp)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libproxy-1.0)
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(libssh2)
BuildRequires:	pkgconfig(libv4l2)
BuildRequires:	pkgconfig(libvcdinfo)
BuildRequires:	pkgconfig(libvncclient)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(mad)
BuildRequires:	pkgconfig(ogg)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(samplerate)
BuildRequires:	pkgconfig(smbclient)
BuildRequires:	pkgconfig(speex)
BuildRequires:	pkgconfig(taglib)
BuildRequires:	pkgconfig(udev)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(vpx)
BuildRequires:	pkgconfig(xcb)
BuildRequires:	pkgconfig(xcb-keysyms)
BuildRequires:	pkgconfig(xcb-util)
BuildRequires:	pkgconfig(xpm)
BuildRequires:	pkgconfig(xproto)
BuildRequires:	pkgconfig(xv)
%if %{with_dts}
BuildRequires:	pkgconfig(libdca)
%endif
%if %{with_faac}
BuildRequires:	libfaac-devel
%endif
%if %{with_faad}
BuildRequires:	libfaad2-devel >= 2.0
%endif
%if %{with_lame}
BuildRequires:	liblame-devel
%endif
%if %{with_x264}
BuildRequires:	pkgconfig(x264)
%endif
%if %{with_x265}
BuildRequires:	pkgconfig(x265)
%endif

Suggests:	vlc-plugin-dv
Suggests:	vlc-plugin-flac
Requires:	vlc-plugin-gnutls
Suggests:	vlc-plugin-kate
Suggests:	vlc-plugin-libass
# without lua. vlc dumps confusing error in console
# (http://bugs.rosalinux.ru/show_bug.cgi?id=2100)
Suggests:	vlc-plugin-lua
Suggests:	vlc-plugin-mpc
Suggests:	vlc-plugin-opus
Suggests:	vlc-plugin-pulse
Suggests:	vlc-plugin-schroedinger
Suggests:	vlc-plugin-speex
Suggests:	vlc-plugin-theora
Suggests:	vlc-plugin-upnp
Requires:	fonts-ttf-vera
Conflicts:	vlc-plugin-common < %{version}-%{release}

%description
VideoLAN is an OpenSource streaming solution for every OS developed by
students from the Ecole Centrale Paris and developers from all over the
World.
VLC (VideoLAN Client) is a media player that can play MPEG1, MPEG2 and
MPEG4 (aka DivX) files, DVDs, VCDs, SVCDs, from a satellite card, from
a stream sent by VLS (VideoLAN Server), from another VLC, or from a Web
server.
This package contains no CSS unscrambling functionality for DVDs ;
you need the libdvdcss library available from
http://www.videolan.org/libdvdcss/

%if %{with_plf}
This package is in Restricted repository as it is violating software patents.
%endif

%files -f %{name}.lang
%doc NEWS README COPYING AUTHORS THANKS
%doc installed-docs/* doc/lirc/
%{_bindir}/cvlc
%{_bindir}/qvlc
%{_bindir}/vlc
%{_bindir}/vlc-wrapper
%dir %{_datadir}/vlc/
%{_datadir}/vlc/*.*
%{_datadir}/vlc/utils
%dir %{_libdir}/vlc
%{_libdir}/vlc/vlc-cache-gen
%dir %{_libdir}/vlc/plugins
%{_libdir}/vlc/plugins/plugins.dat
%dir %{_libdir}/vlc/plugins/access
%{_libdir}/vlc/plugins/access/libaccess_alsa_plugin.so
%{_libdir}/vlc/plugins/access/libaccess_bd_plugin.so
%{_libdir}/vlc/plugins/access/libaccess_mms_plugin.so
%{_libdir}/vlc/plugins/access/libaccess_mtp_plugin.so
%{_libdir}/vlc/plugins/access/libaccess_realrtsp_plugin.so
%{_libdir}/vlc/plugins/access/libattachment_plugin.so
%{_libdir}/vlc/plugins/access/libavio_plugin.so
%{_libdir}/vlc/plugins/access/libcdda_plugin.so
%{_libdir}/vlc/plugins/access/libdtv_plugin.so
%{_libdir}/vlc/plugins/access/libdvb_plugin.so
%{_libdir}/vlc/plugins/access/libdvdnav_plugin.so
%{_libdir}/vlc/plugins/access/libdvdread_plugin.so
%{_libdir}/vlc/plugins/access/libfilesystem_plugin.so
%{_libdir}/vlc/plugins/access/libftp_plugin.so
%{_libdir}/vlc/plugins/access/libgnomevfs_plugin.so
%{_libdir}/vlc/plugins/access/libhttp_plugin.so
%{_libdir}/vlc/plugins/access/libidummy_plugin.so
%{_libdir}/vlc/plugins/access/libimem_plugin.so
%{_libdir}/vlc/plugins/access/liblibbluray_plugin.so
%{_libdir}/vlc/plugins/access/liblive555_plugin.so
%{_libdir}/vlc/plugins/access/librar_plugin.so
#{_libdir}/vlc/plugins/access/librdp_plugin.so
%{_libdir}/vlc/plugins/access/librtp_plugin.so
%{_libdir}/vlc/plugins/access/libsdp_plugin.so
%{_libdir}/vlc/plugins/access/libsftp_plugin.so
%{_libdir}/vlc/plugins/access/libshm_plugin.so
%{_libdir}/vlc/plugins/access/libsmb_plugin.so
%{_libdir}/vlc/plugins/access/libtcp_plugin.so
%{_libdir}/vlc/plugins/access/libtimecode_plugin.so
%{_libdir}/vlc/plugins/access/libudp_plugin.so
%{_libdir}/vlc/plugins/access/libv4l2_plugin.so
%{_libdir}/vlc/plugins/access/libvcdx_plugin.so
%{_libdir}/vlc/plugins/access/libvcd_plugin.so
%{_libdir}/vlc/plugins/access/libvdr_plugin.so
%{_libdir}/vlc/plugins/access/libvnc_plugin.so
%{_libdir}/vlc/plugins/access/libxcb_screen_plugin.so
%{_libdir}/vlc/plugins/access/libzip_plugin.so
%dir %{_libdir}/vlc/plugins/access_output/
%{_libdir}/vlc/plugins/access_output/libaccess_output_dummy_plugin.so*
%{_libdir}/vlc/plugins/access_output/libaccess_output_file_plugin.so*
%{_libdir}/vlc/plugins/access_output/libaccess_output_http_plugin.so*
%{_libdir}/vlc/plugins/access_output/libaccess_output_livehttp_plugin.so*
%{_libdir}/vlc/plugins/access_output/libaccess_output_udp_plugin.so*
%dir %{_libdir}/vlc/plugins/audio_filter
%{_libdir}/vlc/plugins/audio_filter/liba52tofloat32_plugin.so*
%{_libdir}/vlc/plugins/audio_filter/liba52tospdif_plugin.so*
%{_libdir}/vlc/plugins/audio_filter/libaudiobargraph_a_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libaudio_format_plugin.so*
%{_libdir}/vlc/plugins/audio_filter/libchorus_flanger_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libcompressor_plugin.so
%if %{with_dts}
%{_libdir}/vlc/plugins/audio_filter/libdtstofloat32_plugin.so*
%endif
%{_libdir}/vlc/plugins/audio_filter/libdolby_surround_decoder_plugin.so*
%{_libdir}/vlc/plugins/audio_filter/libdtstospdif_plugin.so*
%{_libdir}/vlc/plugins/audio_filter/libequalizer_plugin.so*
%{_libdir}/vlc/plugins/audio_filter/libgain_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libheadphone_channel_mixer_plugin.so*
%{_libdir}/vlc/plugins/audio_filter/libkaraoke_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libmono_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libmpgatofixed32_plugin.so*
%{_libdir}/vlc/plugins/audio_filter/libnormvol_plugin.so*
%{_libdir}/vlc/plugins/audio_filter/libparam_eq_plugin.so*
%{_libdir}/vlc/plugins/audio_filter/libremap_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libsamplerate_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libscaletempo_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libsimple_channel_mixer_plugin.so*
%{_libdir}/vlc/plugins/audio_filter/libspatializer_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libstereo_widen_plugin.so
%{_libdir}/vlc/plugins/audio_filter/libtrivial_channel_mixer_plugin.so*
%{_libdir}/vlc/plugins/audio_filter/libugly_resampler_plugin.so*
%dir %{_libdir}/vlc/plugins/audio_mixer
%{_libdir}/vlc/plugins/audio_mixer/libfloat_mixer_plugin.so
%{_libdir}/vlc/plugins/audio_mixer/libinteger_mixer_plugin.so
%dir %{_libdir}/vlc/plugins/audio_output
%{_libdir}/vlc/plugins/audio_output/libadummy_plugin.so
%{_libdir}/vlc/plugins/audio_output/libalsa_plugin.so
%{_libdir}/vlc/plugins/audio_output/libamem_plugin.so
%{_libdir}/vlc/plugins/audio_output/libafile_plugin.so
%dir %{_libdir}/vlc/plugins/codec
%{_libdir}/vlc/plugins/codec/liba52_plugin.so*
%{_libdir}/vlc/plugins/codec/libadpcm_plugin.so*
%{_libdir}/vlc/plugins/codec/libaes3_plugin.so
%{_libdir}/vlc/plugins/codec/libaraw_plugin.so*
%{_libdir}/vlc/plugins/codec/libavcodec_plugin.so
%{_libdir}/vlc/plugins/codec/libcc_plugin.so
%{_libdir}/vlc/plugins/codec/libcdg_plugin.so
%{_libdir}/vlc/plugins/codec/libcvdsub_plugin.so*
%{_libdir}/vlc/plugins/codec/libddummy_plugin.so
%{_libdir}/vlc/plugins/codec/libdts_plugin.so*
%{_libdir}/vlc/plugins/codec/libdvbsub_plugin.so*
%{_libdir}/vlc/plugins/codec/libedummy_plugin.so
%if %{with_faad}
%{_libdir}/vlc/plugins/codec/libfaad_plugin.so*
%endif
%{_libdir}/vlc/plugins/codec/libg711_plugin.so
%{_libdir}/vlc/plugins/codec/libhwdummy_plugin.so
%{_libdir}/vlc/plugins/codec/libjpeg_plugin.so
%{_libdir}/vlc/plugins/codec/liblibmpeg2_plugin.so*
%{_libdir}/vlc/plugins/codec/liblpcm_plugin.so*
%{_libdir}/vlc/plugins/codec/libmpeg_audio_plugin.so*
%{_libdir}/vlc/plugins/codec/libpng_plugin.so
%{_libdir}/vlc/plugins/codec/librawvideo_plugin.so*
%{_libdir}/vlc/plugins/codec/libscte27_plugin.so
%{_libdir}/vlc/plugins/codec/libspudec_plugin.so
%{_libdir}/vlc/plugins/codec/libstl_plugin.so
%{_libdir}/vlc/plugins/codec/libsubsdec_plugin.so
%{_libdir}/vlc/plugins/codec/libsubstx3g_plugin.so
%{_libdir}/vlc/plugins/codec/libsubsusf_plugin.so
%{_libdir}/vlc/plugins/codec/libsvcdsub_plugin.so
%{_libdir}/vlc/plugins/codec/libsvgdec_plugin.so
%{_libdir}/vlc/plugins/codec/libt140_plugin.so
%{_libdir}/vlc/plugins/codec/libtelx_plugin.so
%{_libdir}/vlc/plugins/codec/libuleaddvaudio_plugin.so
%{_libdir}/vlc/plugins/codec/libvpx_plugin.so
%if %{with_x264}
%{_libdir}/vlc/plugins/codec/libx264_plugin.so
%endif
%if %{with_x265}
%{_libdir}/vlc/plugins/codec/libx265_plugin.so
%endif
%{_libdir}/vlc/plugins/codec/libxwd_plugin.so
%dir %{_libdir}/vlc/plugins/control
%{_libdir}/vlc/plugins/control/libdbus_plugin.so
%{_libdir}/vlc/plugins/control/libdummy_plugin.so
%{_libdir}/vlc/plugins/control/libgestures_plugin.so
%{_libdir}/vlc/plugins/control/libhotkeys_plugin.so
%{_libdir}/vlc/plugins/control/libmotion_plugin.so
%{_libdir}/vlc/plugins/control/libnetsync_plugin.so
%{_libdir}/vlc/plugins/control/liboldrc_plugin.so
%{_libdir}/vlc/plugins/control/libxcb_hotkeys_plugin.so
%dir %{_libdir}/vlc/plugins/demux
%{_libdir}/vlc/plugins/demux/libaiff_plugin.so*
%{_libdir}/vlc/plugins/demux/libasf_plugin.so*
%{_libdir}/vlc/plugins/demux/libau_plugin.so*
%{_libdir}/vlc/plugins/demux/libavformat_plugin.so
%{_libdir}/vlc/plugins/demux/libavi_plugin.so
%{_libdir}/vlc/plugins/demux/libcaf_plugin.so
%{_libdir}/vlc/plugins/demux/libdemux_cdg_plugin.so
%{_libdir}/vlc/plugins/demux/libdemux_stl_plugin.so
%{_libdir}/vlc/plugins/demux/libdemuxdump_plugin.so*
%{_libdir}/vlc/plugins/demux/libdiracsys_plugin.so
%{_libdir}/vlc/plugins/demux/libes_plugin.so
%{_libdir}/vlc/plugins/demux/libh264_plugin.so
%{_libdir}/vlc/plugins/demux/libhevc_plugin.so
%{_libdir}/vlc/plugins/demux/libimage_plugin.so
%{_libdir}/vlc/plugins/demux/libmjpeg_plugin.so
%{_libdir}/vlc/plugins/demux/libmkv_plugin.so
%{_libdir}/vlc/plugins/demux/libmp4_plugin.so*
%{_libdir}/vlc/plugins/demux/libmpgv_plugin.so*
%{_libdir}/vlc/plugins/demux/libnsc_plugin.so*
%{_libdir}/vlc/plugins/demux/libnsv_plugin.so*
%{_libdir}/vlc/plugins/demux/libnuv_plugin.so*
%{_libdir}/vlc/plugins/demux/libplaylist_plugin.so*
%{_libdir}/vlc/plugins/demux/libps_plugin.so*
%{_libdir}/vlc/plugins/demux/libpva_plugin.so*
%{_libdir}/vlc/plugins/demux/librawaud_plugin.so
%{_libdir}/vlc/plugins/demux/librawdv_plugin.so*
%{_libdir}/vlc/plugins/demux/librawvid_plugin.so
%{_libdir}/vlc/plugins/demux/libreal_plugin.so*
%{_libdir}/vlc/plugins/demux/libsmf_plugin.so
%{_libdir}/vlc/plugins/demux/libsubtitle_plugin.so*
%{_libdir}/vlc/plugins/demux/libtta_plugin.so
%{_libdir}/vlc/plugins/demux/libty_plugin.so*
%{_libdir}/vlc/plugins/demux/libvobsub_plugin.so*
%{_libdir}/vlc/plugins/demux/libvc1_plugin.so
%{_libdir}/vlc/plugins/demux/libvoc_plugin.so*
%{_libdir}/vlc/plugins/demux/libwav_plugin.so*
%{_libdir}/vlc/plugins/demux/libts_plugin.so*
%{_libdir}/vlc/plugins/demux/libxa_plugin.so*
%{_libdir}/vlc/plugins/demux/libogg_plugin.so*
%{_libdir}/vlc/plugins/codec/libvorbis_plugin.so*
%dir %{_libdir}/vlc/plugins/meta_engine
%{_libdir}/vlc/plugins/meta_engine/libfolder_plugin.so
%{_libdir}/vlc/plugins/meta_engine/libtaglib_plugin.so
%dir %{_libdir}/vlc/plugins/misc
%{_libdir}/vlc/plugins/misc/libaddonsfsstorage_plugin.so
%{_libdir}/vlc/plugins/misc/libaddonsvorepository_plugin.so
%{_libdir}/vlc/plugins/misc/libaudioscrobbler_plugin.so
%{_libdir}/vlc/plugins/misc/libdbus_screensaver_plugin.so
%{_libdir}/vlc/plugins/misc/libexport_plugin.so*
%{_libdir}/vlc/plugins/misc/libfingerprinter_plugin.so
%{_libdir}/vlc/plugins/misc/liblogger_plugin.so*
%{_libdir}/vlc/plugins/misc/libstats_plugin.so
%{_libdir}/vlc/plugins/misc/libvod_rtsp_plugin.so*
%{_libdir}/vlc/plugins/misc/libxdg_screensaver_plugin.so*
%{_libdir}/vlc/plugins/misc/libxml_plugin.so*
%dir %{_libdir}/vlc/plugins/mux
%{_libdir}/vlc/plugins/mux/libmux_asf_plugin.so*
%{_libdir}/vlc/plugins/mux/libmux_avi_plugin.so*
%{_libdir}/vlc/plugins/mux/libmux_dummy_plugin.so*
%{_libdir}/vlc/plugins/mux/libmux_mp4_plugin.so*
%{_libdir}/vlc/plugins/mux/libmux_mpjpeg_plugin.so*
%{_libdir}/vlc/plugins/mux/libmux_ogg_plugin.so*
%{_libdir}/vlc/plugins/mux/libmux_ps_plugin.so*
%{_libdir}/vlc/plugins/mux/libmux_ts_plugin.so
%{_libdir}/vlc/plugins/mux/libmux_wav_plugin.so*
%dir %{_libdir}/vlc/plugins/notify
%dir %{_libdir}/vlc/plugins/gui/
%{_libdir}/vlc/plugins/gui/libqt4_plugin.so
%dir %{_libdir}/vlc/plugins/packetizer
%{_libdir}/vlc/plugins/packetizer/libpacketizer_avparser_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_copy_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_dirac_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_flac_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_h264_plugin.so*
%{_libdir}/vlc/plugins/packetizer/libpacketizer_hevc_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_mlp_plugin.so
%{_libdir}/vlc/plugins/packetizer/libpacketizer_mpeg4audio_plugin.so*
%{_libdir}/vlc/plugins/packetizer/libpacketizer_mpeg4video_plugin.so*
%{_libdir}/vlc/plugins/packetizer/libpacketizer_mpegvideo_plugin.so*
%{_libdir}/vlc/plugins/packetizer/libpacketizer_vc1_plugin.so
%dir %{_libdir}/vlc/plugins/services_discovery/
%{_libdir}/vlc/plugins/services_discovery/libmediadirs_plugin.so
%{_libdir}/vlc/plugins/services_discovery/libmtp_plugin.so
%{_libdir}/vlc/plugins/services_discovery/libpodcast_plugin.so*
%{_libdir}/vlc/plugins/services_discovery/libsap_plugin.so*
%{_libdir}/vlc/plugins/services_discovery/libudev_plugin.so*
%{_libdir}/vlc/plugins/services_discovery/libxcb_apps_plugin.so
%dir %{_libdir}/vlc/plugins/stream_filter/
%{_libdir}/vlc/plugins/stream_filter/libdash_plugin.so
%{_libdir}/vlc/plugins/stream_filter/libdecomp_plugin.so
%{_libdir}/vlc/plugins/stream_filter/libhttplive_plugin.so
%{_libdir}/vlc/plugins/stream_filter/librecord_plugin.so
%{_libdir}/vlc/plugins/stream_filter/libsmooth_plugin.so
%dir %{_libdir}/vlc/plugins/stream_out
%{_libdir}/vlc/plugins/stream_out/libstream_out_autodel_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_bridge_plugin.so*
%{_libdir}/vlc/plugins/stream_out/libstream_out_chromaprint_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_delay_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_description_plugin.so*
%{_libdir}/vlc/plugins/stream_out/libstream_out_display_plugin.so*
%{_libdir}/vlc/plugins/stream_out/libstream_out_dummy_plugin.so*
%{_libdir}/vlc/plugins/stream_out/libstream_out_duplicate_plugin.so*
%{_libdir}/vlc/plugins/stream_out/libstream_out_es_plugin.so*
%{_libdir}/vlc/plugins/stream_out/libstream_out_gather_plugin.so*
%{_libdir}/vlc/plugins/stream_out/libstream_out_langfromtelx_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_mosaic_bridge_plugin.so*
%{_libdir}/vlc/plugins/stream_out/libstream_out_raop_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_record_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_rtp_plugin.so*
%{_libdir}/vlc/plugins/stream_out/libstream_out_setid_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_smem_plugin.so*
%{_libdir}/vlc/plugins/stream_out/libstream_out_standard_plugin.so*
%{_libdir}/vlc/plugins/stream_out/libstream_out_stats_plugin.so
%{_libdir}/vlc/plugins/stream_out/libstream_out_transcode_plugin.so*
%dir %{_libdir}/vlc/plugins/text_renderer
%{_libdir}/vlc/plugins/text_renderer/libfreetype_plugin.so*
%{_libdir}/vlc/plugins/text_renderer/libsvg_plugin.so
%{_libdir}/vlc/plugins/text_renderer/libtdummy_plugin.so
%dir %{_libdir}/vlc/plugins/video_chroma
%{_libdir}/vlc/plugins/video_chroma/libchain_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libgrey_yuv_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libi420_rgb_*plugin.so
%{_libdir}/vlc/plugins/video_chroma/libi420_yuy2_*plugin.so
%{_libdir}/vlc/plugins/video_chroma/libi422_i420_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libi422_yuy2_*plugin.so
%{_libdir}/vlc/plugins/video_chroma/librv32_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libswscale_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libyuy2_i420_plugin.so
%{_libdir}/vlc/plugins/video_chroma/libyuy2_i422_plugin.so
%dir %{_libdir}/vlc/plugins/video_filter
%{_libdir}/vlc/plugins/video_filter/libadjust_plugin.so*
%{_libdir}/vlc/plugins/video_filter/libalphamask_plugin.so
%{_libdir}/vlc/plugins/video_filter/libanaglyph_plugin.so
%{_libdir}/vlc/plugins/video_filter/libantiflicker_plugin.so
%{_libdir}/vlc/plugins/video_filter/libaudiobargraph_v_plugin.so
%{_libdir}/vlc/plugins/video_filter/libatmo_plugin.so
%{_libdir}/vlc/plugins/video_filter/libball_plugin.so
%{_libdir}/vlc/plugins/video_filter/libblendbench_plugin.so
%{_libdir}/vlc/plugins/video_filter/libblend_plugin.so*
%{_libdir}/vlc/plugins/video_filter/libbluescreen_plugin.so
%{_libdir}/vlc/plugins/video_filter/libcanvas_plugin.so
%{_libdir}/vlc/plugins/video_filter/libcolorthres_plugin.so
%{_libdir}/vlc/plugins/video_filter/libcroppadd_plugin.so
%{_libdir}/vlc/plugins/video_filter/libdeinterlace_plugin.so*
%{_libdir}/vlc/plugins/video_filter/libdynamicoverlay_plugin.so
%{_libdir}/vlc/plugins/video_filter/liberase_plugin.so
%{_libdir}/vlc/plugins/video_filter/libextract_plugin.so
%{_libdir}/vlc/plugins/video_filter/libfreeze_plugin.so
%{_libdir}/vlc/plugins/video_filter/libgaussianblur_plugin.so
%{_libdir}/vlc/plugins/video_filter/libgradient_plugin.so
%{_libdir}/vlc/plugins/video_filter/libgradfun_plugin.so
%{_libdir}/vlc/plugins/video_filter/libgrain_plugin.so
%{_libdir}/vlc/plugins/video_filter/libhqdn3d_plugin.so
%{_libdir}/vlc/plugins/video_filter/libinvert_plugin.so*
%{_libdir}/vlc/plugins/video_filter/liblogo_plugin.so*
%{_libdir}/vlc/plugins/video_filter/libmagnify_plugin.so*
%{_libdir}/vlc/plugins/video_filter/libmarq_plugin.so*
%{_libdir}/vlc/plugins/video_filter/libmirror_plugin.so
%{_libdir}/vlc/plugins/video_filter/libmosaic_plugin.so*
%{_libdir}/vlc/plugins/video_filter/libmotionblur_plugin.so*
%{_libdir}/vlc/plugins/video_filter/libmotiondetect_plugin.so*
%{_libdir}/vlc/plugins/video_filter/liboldmovie_plugin.so
%{_libdir}/vlc/plugins/video_filter/libposterize_plugin.so
%{_libdir}/vlc/plugins/video_filter/libpostproc_plugin.so
%{_libdir}/vlc/plugins/video_filter/libpsychedelic_plugin.so
%{_libdir}/vlc/plugins/video_filter/libpuzzle_plugin.so
%{_libdir}/vlc/plugins/video_filter/libremoteosd_plugin.so
%{_libdir}/vlc/plugins/video_filter/libripple_plugin.so
%{_libdir}/vlc/plugins/video_filter/librotate_plugin.so
%{_libdir}/vlc/plugins/video_filter/librss_plugin.so*
%{_libdir}/vlc/plugins/video_filter/libscale_plugin.so*
%{_libdir}/vlc/plugins/video_filter/libscene_plugin.so
%{_libdir}/vlc/plugins/video_filter/libsepia_plugin.so
%{_libdir}/vlc/plugins/video_filter/libsharpen_plugin.so
%{_libdir}/vlc/plugins/video_filter/libsubsdelay_plugin.so
%{_libdir}/vlc/plugins/video_filter/libtransform_plugin.so*
%{_libdir}/vlc/plugins/video_filter/libvhs_plugin.so
%{_libdir}/vlc/plugins/video_filter/libwave_plugin.so
%{_libdir}/vlc/plugins/video_filter/libyuvp_plugin.so
%dir %{_libdir}/vlc/plugins/video_output
%{_libdir}/vlc/plugins/video_output/libcaca_plugin.so
%{_libdir}/vlc/plugins/video_output/libfb_plugin.so
%{_libdir}/vlc/plugins/video_output/libvdummy_plugin.so
%{_libdir}/vlc/plugins/video_output/libvmem_plugin.so
%{_libdir}/vlc/plugins/video_output/libxcb_window_plugin.so
%{_libdir}/vlc/plugins/video_output/libxcb_x11_plugin.so
%{_libdir}/vlc/plugins/video_output/libxcb_xv_plugin.so
%{_libdir}/vlc/plugins/video_output/libyuv_plugin.so
%dir %{_libdir}/vlc/plugins/video_splitter
%{_libdir}/vlc/plugins/video_splitter/libclone_plugin.so
%{_libdir}/vlc/plugins/video_splitter/libpanoramix_plugin.so
%{_libdir}/vlc/plugins/video_splitter/libwall_plugin.so
%dir %{_libdir}/vlc/plugins/visualization
%{_libdir}/vlc/plugins/visualization/libglspectrum_plugin.so
%{_libdir}/vlc/plugins/visualization/libvisual_plugin.so
%{_mandir}/man1/vlc.*
%{_mandir}/man1/vlc-wrapper.1*
%{_datadir}/applications/vlc.desktop
%{_miconsdir}/vlc.png
%{_iconsdir}/vlc.png
%{_liconsdir}/vlc.png
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/apps/solid/actions/*.desktop

#----------------------------------------------------------------------------

%package -n svlc
Summary:	Skinned GUI plugin for the VLC media player
Group:		Video
Requires:	%{name} = %{version}
Provides:	vlc-gui

%description -n svlc
This plugin adds a skinned GUI interface to the VLC media player. To
activate it, run the `svlc' program.

%files -n svlc
%doc README
%{_bindir}/svlc
%{_libdir}/vlc/plugins/gui/libskins2_plugin.so*
%{_datadir}/applications/mandriva-svlc.desktop
%{_datadir}/vlc/skins2

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Shared code for the VLC media player
Group:		System/Libraries

%description -n %{libname}
Shared code for the VLC media player
This package contains code that is shared by different modules of the 
VLC media player.

%files -n %{libname}
%{_libdir}/libvlc.so.%{libmajor}*

#----------------------------------------------------------------------------

%package -n %{libnamecore}
Summary:	Shared core code for the VLC media player
Group:		System/Libraries
#gw needed by the python bindings:
Provides:	libvlccore = %{version}-%{release}

%description -n %{libnamecore}
Shared core code for the VLC media player
This package contains code that is shared by different modules of the
VLC media player.

%files -n %{libnamecore}
%{_libdir}/libvlccore.so.%{coremajor}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Development files for the VLC media player
Group:		Development/C
Requires:	%{libname} = %{version}
Requires:	%{libnamecore} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files for the VLC media player
This package contains headers and a static library required to build plugins
for the VLC media player, or standalone applications using features from VLC.

%files -n %{devname}
%doc README doc/release-howto.txt doc/skins
%dir %{_includedir}/vlc
%{_libdir}/vlc/libcompat.a
%{_libdir}/libvlc.so
%{_libdir}/libvlccore.so
%{_includedir}/vlc/*
%{_libdir}/pkgconfig/*

#----------------------------------------------------------------------------

%package plugin-aa
Summary:	ASCII art video plugin for the VLC media player
Group:		Video
Requires:	%{name} = %{version}
BuildRequires:	aalib-devel

%description plugin-aa
This is an ASCII art video output plugin for the VLC media playe. To
activate it, use the `--vout aa' flag or select the `aa' video output
plugin from the preferences menu.

%files plugin-aa
%doc README
%{_libdir}/vlc/plugins/video_output/libaa_plugin.so*

#----------------------------------------------------------------------------

%package plugin-bonjour
Summary:	Bonjour service discovery plugin for the VLC media player
Group:		Video
Requires:	%{name} = %{version}

%description plugin-bonjour
This plugin adds support for Bonjour service discovery to
the VLC media player.

%files plugin-bonjour
%doc README
%{_libdir}/vlc/plugins/services_discovery/libbonjour_plugin.so*

#----------------------------------------------------------------------------

%package plugin-dv
Summary:	DV codec plugin for the VLC media player
Group:		Video
Requires:	%{name} = %{version}
BuildRequires:	pkgconfig(libdv)
BuildRequires:	pkgconfig(libraw1394)
BuildRequires:	pkgconfig(libdc1394-2)
BuildRequires:	pkgconfig(libavc1394)

%description plugin-dv
This plugin adds support for the DV video format to the VLC media player.
The plugin is autodetected.

%files plugin-dv
%doc README
%{_libdir}/vlc/plugins/access/libdc1394_plugin.so
%{_libdir}/vlc/plugins/access/libdv1394_plugin.so

#----------------------------------------------------------------------------

%package plugin-flac
Summary:	Flac codec plugin for the VLC media player
Group:		Sound
Requires:	%{name} = %{version}

%description plugin-flac
These plugins add support for the FLAC compressed audio format to the
VLC media player.

%files plugin-flac
%doc README
%{_libdir}/vlc/plugins/demux/libflacsys_plugin.so
%{_libdir}/vlc/plugins/codec/libflac_plugin.so*

#----------------------------------------------------------------------------

%package plugin-fluidsynth
Summary:	Add MIDI playback support to VLC based on Fluidsynth
Group:		Sound
Requires:	%{name} = %{version}
BuildRequires:	pkgconfig(fluidsynth)

%description plugin-fluidsynth
This plugin adds support for MIDI playback to VLC based on the Fluidsynth
library.

%files plugin-fluidsynth
%doc README
%{_libdir}/vlc/plugins/codec/libfluidsynth_plugin.so

#----------------------------------------------------------------------------

%package plugin-gme
Summary:	Add game music playback support to VLC based on libgme
Group:		Sound
Requires:	%{name} = %{version}
BuildRequires:	libgme-devel

%description plugin-gme
This plugin adds support for video game music playback to VLC based on the
GME library.

%files plugin-gme
%doc README
%{_libdir}/vlc/plugins/demux/libgme_plugin.so

#----------------------------------------------------------------------------

%package plugin-gnutls
Summary:	Secure Socket Layer plugin for the VLC media player
Group:		Video
Requires:	%{name} = %{version}

%description plugin-gnutls
This plugin adds support for SSL/TLS to the VLC media player.

%files plugin-gnutls
%doc README
%{_libdir}/vlc/plugins/misc/libgnutls_plugin.so*

#----------------------------------------------------------------------------

%if %{with_goom}
%package plugin-goom
Summary:	Visualization plugin for the VLC media player
Group:		Video
BuildRequires:	libgoom2-devel
Requires:	%{name} = %{version}

%description plugin-goom
This is a visualization plugin for VLC media player based on the Goom library.

%files plugin-goom
%doc README
%{_libdir}/vlc/plugins/visualization/libgoom_plugin.so
%endif

#----------------------------------------------------------------------------

%package plugin-jack
Summary:	Jack audio plugin for the VLC media player
Group:		Sound
Requires:	%{name} = %{version}

%description plugin-jack
This plugin adds support for the Jack Audio Connection Kit to the VLC
media player. To activate it, use the `--aout jack' flag or select the
`jack' audio output plugin from the preferences menu.

%files plugin-jack
%doc README
%{_libdir}/vlc/plugins/access/libaccess_jack_plugin.so
%{_libdir}/vlc/plugins/audio_output/libjack_plugin.so*

#----------------------------------------------------------------------------

%package plugin-kate
Summary:	Add subtitle and Karaoke text support to VLC
Group:		Video
Requires:	%{name} = %{version}
BuildRequires:	pkgconfig(tiger)

%description plugin-kate
This package adds support for subtitles and Karaoke text display based on
the libkate library to VLC.

%files plugin-kate
%doc README
%{_libdir}/vlc/plugins/codec/libkate_plugin.so

#----------------------------------------------------------------------------

%package plugin-libass
Summary:	Add subtitle support to VLC using libass
Group:		Video
Requires:	%{name} = %{version}
BuildRequires:	pkgconfig(libass)

%description plugin-libass
This package adds support for subtitles based on the libass library to VLC.

%files plugin-libass
%doc README
%{_libdir}/vlc/plugins/codec/liblibass_plugin.so

#----------------------------------------------------------------------------

%package plugin-libnotify
Summary:	Notification popup plugin for the VLC media player
Group:		Video
Requires:	%{name} = %{version}

%description plugin-libnotify
This plugin adds support for notification popup messages to
the VLC media player.

%files plugin-libnotify
%doc README
%{_libdir}/vlc/plugins/notify/libnotify_plugin.so*

#----------------------------------------------------------------------------

%package plugin-lirc
Summary:	Lirc plugin for the VLC media player
Group:		Video
Requires:	%{name} = %{version}
BuildRequires:	pkgconfig(liblircclient0)

%description plugin-lirc
This plugin is an infrared lirc interface for the VLC media player. To
activate it, use the `--extraintf lirc' flag.

%files plugin-lirc
%doc README
%{_libdir}/vlc/plugins/control/liblirc_plugin.so*

#----------------------------------------------------------------------------

%package plugin-lua
Summary:	Add Lua scripting to vlc
Group:		Video
Requires:	%{name} = %{version}
BuildRequires:	pkgconfig(lua)

%description plugin-lua
This plugin adds lua scripting and provides a few example scripts as well.

%files plugin-lua
%doc README
%{_libdir}/vlc/plugins/lua/liblua_plugin.so
%{_libdir}/vlc/lua
%{_datadir}/vlc/lua
%{_bindir}/rvlc

#----------------------------------------------------------------------------

%package plugin-mod
Summary:	MOD audio decoder plugin for the VLC media player
Group:		Sound
Requires:	%{name} = %{version}

%description plugin-mod
This plugin adds support for music module playback based on libmodplug
to the VLC media player.

%files plugin-mod
%doc README
%{_libdir}/vlc/plugins/demux/libmod_plugin.so*

#----------------------------------------------------------------------------

%package plugin-mpc
Summary:	MPC audio decoder plugin for the VLC media player
Group:		Sound
Requires:	%{name} = %{version}

%description plugin-mpc
This plugin adds support for Musepack audio playback based on libmpcdec
to the VLC media player.

%files plugin-mpc
%doc README
%{_libdir}/vlc/plugins/demux/libmpc_plugin.so*

#----------------------------------------------------------------------------

%package plugin-ncurses
Summary:	Ncurses console-based plugin for the VLC media player
Group:		Video
Requires:	%{name} = %{version}
BuildRequires:	pkgconfig(ncurses)

%description plugin-ncurses
This plugin adds a ncurses interface to the VLC media player. To
activate it, use the `--intf ncurses' flag.

%files plugin-ncurses
%doc README
%{_bindir}/nvlc
%{_libdir}/vlc/plugins/gui/libncurses_plugin.so*

#----------------------------------------------------------------------------

%package plugin-opencv
Summary:	OpenCV wrapper video filter plugin for the VLC media player
Group:		Video
Requires:	%{name} = %{version}
BuildRequires:	pkgconfig(opencv)

%description plugin-opencv
This plugin adds support for OpenCV video filter to the VLC media player.

%files plugin-opencv
%doc README
%{_libdir}/vlc/plugins/video_filter/libopencv_example_plugin.so
%{_libdir}/vlc/plugins/video_filter/libopencv_wrapper_plugin.so

#----------------------------------------------------------------------------

%package plugin-opengl
Summary:	OpenGL video output plugin for the VLC media player
Group:		Video
Requires:	%{name} = %{version}

%description plugin-opengl
This plugin adds support for OpenGL video output to the VLC media player.

%files plugin-opengl
%doc README
%{_libdir}/vlc/plugins/video_output/libegl_x11_plugin.so
%{_libdir}/vlc/plugins/video_output/libgl_plugin.so
%{_libdir}/vlc/plugins/video_output/libglx_plugin.so
%{_libdir}/vlc/plugins/video_output/libxcb_glx_plugin.so*

#----------------------------------------------------------------------------

%package plugin-opus
Summary:	Opus codec plugin for the VLC media player
Group:		Sound
Requires:	%{name} = %{version}
BuildRequires:	pkgconfig(opus)

%description plugin-opus
This plugin adds support for the Opus codec to the VLC media player.

%files plugin-opus
%{_libdir}/vlc/plugins/codec/libopus_plugin.so

#----------------------------------------------------------------------------

%package plugin-projectm
Summary:	Visualization plugin for the VLC media player
Group:		Video
BuildRequires:	pkgconfig(libprojectM)
Requires:	%{name} = %{version}

%description plugin-projectm
This is a visualization plugin for VLC media player based on projectm.

%files plugin-projectm
%doc README
%{_libdir}/vlc/plugins/visualization/libprojectm_plugin.so

#----------------------------------------------------------------------------

%package plugin-pulse
Summary:	PulseAudio plugin for the VLC media player
Group:		Sound
Requires:	%{name} = %{version}

%description plugin-pulse
This plugin adds support for the PulseAudio Sound Daemon to the VLC
media player. To activate it, use the `--aout pulse' flag or select the
`pulse' audio output plugin from the preferences menu.

%files plugin-pulse
%doc README
%{_libdir}/vlc/plugins/access/libpulsesrc_plugin.so
%{_libdir}/vlc/plugins/audio_output/libpulse_plugin.so*
%{_libdir}/vlc/plugins/services_discovery/libpulselist_plugin.so

#----------------------------------------------------------------------------

%package plugin-schroedinger
Summary:	Dirac plugin for VLC based on Schroedinger
Group:		Video
Requires:	%{name} = %{version}
BuildRequires:	pkgconfig(schroedinger-1.0)

%description plugin-schroedinger
These plugins add support for the Dirac video format based on Schroedinger.
to the VLC media player.

%files plugin-schroedinger
%doc README
%{_libdir}/vlc/plugins/codec/libschroedinger_plugin.so

#----------------------------------------------------------------------------

%package plugin-sdl
Summary:	Simple DirectMedia Layer video plugin for the VLC media player
Group:		Video
Requires:	%{name} = %{version}
BuildRequires:	pkgconfig(SDL_image)
BuildRequires:	pkgconfig(sdl)
BuildRequires:	nas-devel

%description plugin-sdl
This plugin adds support for the Simple DirectMedia Layer library to
the VLC media player. To activate it, use the `--vout sdl' or
`--aout sdl' flags or select the `sdl' video or audio output plugin
from the preferences menu.

%files plugin-sdl
%doc README
%{_libdir}/vlc/plugins/codec/libsdl_image_plugin.so*
%{_libdir}/vlc/plugins/video_output/libvout_sdl_plugin.so*

#----------------------------------------------------------------------------

%package plugin-shout
Summary:	Shoutcast and Icecast connector
Group:		Sound
Requires:	%{name} = %{version}
BuildRequires:	pkgconfig(shout)

%description plugin-shout
This plugin adds support for Icecast and Shoutcast servers.

%files plugin-shout
%doc README
%{_libdir}/vlc/plugins/access_output/libaccess_output_shout_plugin.so

#----------------------------------------------------------------------------

%package plugin-speex
Summary:	Ogg Speex codec plugin for the VLC media player
Group:		Sound
Requires:	%{name} = %{version}

%description plugin-speex
These plugins add support for the Ogg Speex codec to the VLC media
player. They are autodetected.

%files plugin-speex
%doc README
%{_libdir}/vlc/plugins/audio_filter/libspeex_resampler_plugin.so
%{_libdir}/vlc/plugins/codec/libspeex_plugin.so*

#----------------------------------------------------------------------------

%package plugin-theora
Summary:	Theora video codec for the VLC media player
Group:		Video
Requires:	%{name} = %{version}
BuildRequires:	pkgconfig(theora)

%description plugin-theora
These plugin adds support for the Ogg Theora video format to the VLC
media player. They are autodetected.

%files plugin-theora
%doc README
%{_libdir}/vlc/plugins/codec/libtheora_plugin.so

#----------------------------------------------------------------------------

%package plugin-twolame
Summary:	MP2 encoder plugin for VLC
Group:		Sound
Requires:	%{name} = %{version}
BuildRequires:	pkgconfig(twolame)

%description plugin-twolame
These plugins add support for the Twolame MPEG Audio Layer 2 encoder
to the VLC media player. They are autodetected.

%files plugin-twolame
%doc README
%{_libdir}/vlc/plugins/codec/libtwolame_plugin.so*

#----------------------------------------------------------------------------

%package plugin-upnp
Summary:	UPNP service discovery plugin for the VLC media player
Group:		Video
Requires:	%{name} = %{version}
BuildRequires:	pkgconfig(libupnp)

%description plugin-upnp
This plugin adds support for UPNP service discovery to
the VLC media player.

%files plugin-upnp
%doc README
%{_libdir}/vlc/plugins/services_discovery/libupnp_plugin.so*

#----------------------------------------------------------------------------

%package plugin-vaapi
Summary:	VAAPI GPU decoding support to VLC
Group:		Video
Requires:	%{name} = %{version}
BuildRequires:	pkgconfig(libva)
BuildRequires:	pkgconfig(libva-x11)

%description plugin-vaapi
This package adds VAAPI GPU decoding support to VLC.

%files plugin-vaapi
%doc README
%{_libdir}/vlc/plugins/codec/libvaapi_*_plugin.so

#----------------------------------------------------------------------------

%package plugin-vdpau
Summary:	VDPAU GPU decoding support to VLC
Group:		Video
Requires:	%{name} = %{version}
BuildRequires:	pkgconfig(vdpau)

%description plugin-vdpau
This package adds VDPAU GPU decoding support to VLC.

%files plugin-vdpau
%doc README
%{_libdir}/vlc/plugins/vdpau/libvdpau_*_plugin.so
%{_libdir}/vlc/libvlc_vdpau.so.0*

#----------------------------------------------------------------------------

%package plugin-zvbi
Summary:	Add Teletext and Closed Caption support to VLC
Group:		Video
Requires:	%{name} = %{version}
BuildRequires:	pkgconfig(zvbi-0.2)

%description plugin-zvbi
This package adds support for Raw VBI, Teletext and Closed Caption based on
the ZVBI library to VLC.

%files plugin-zvbi
%doc README
%{_libdir}/vlc/plugins/access/liblinsys_hdsdi_plugin.so
%{_libdir}/vlc/plugins/access/liblinsys_sdi_plugin.so
%{_libdir}/vlc/plugins/codec/libzvbi_plugin.so

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p1 -b .automake12~
%patch1 -p1
%patch2 -p1
%patch3 -p1 -b .live555~
%patch4 -p1 -b .live555~
%patch6 -p1
%patch7 -p1

cp %{SOURCE2} po/ru.po

#gw if we want to regenerate libtool, we must remove the local versions of
# the libtool m4 files, aclocal will replace them
pushd m4
rm -fv argz.m4 libtool.m4 ltdl.m4 ltoptions.m4 ltsugar.m4 ltversion.m4 lt~obsolete.m4
popd

libtoolize --install --force
aclocal -I m4
autoheader
autoconf
automake -a

%build
# add missing ebml include dir
export CPPFLAGS="$CPPFLAGS -I/usr/include/ebml"
#gw the speex headers have moved
export CPPFLAGS="$CPPFLAGS -I%{_includedir}/speex"
%configure2_5x \
	--disable-dependency-tracking \
	--disable-rpath \
	--disable-sse \
	--enable-aa \
	--enable-bluray \
	--enable-bonjour \
%if %{with_dts}
	--enable-dca \
%else
	--disable-dca \
%endif
	--enable-dvbpsi \
	--enable-dvdnav \
%if %{with_faad}
	--enable-faad \
%else
	--disable-faad \
%endif
	--enable-flac \
	--enable-gnutls \
	--disable-gst-decode \
	--enable-jack \
	--enable-libcddb \
	--enable-libmpeg2 \
	--enable-libva \
	--enable-lirc \
	--enable-live555 \
	--enable-mad \
	--enable-mkv \
	--enable-ncurses \
	--enable-ogg \
	--enable-opus \
	--enable-pulse \
	--enable-realrtsp \
	--enable-sdl \
	--enable-shout \
	--enable-skins2 \
	--enable-speex \
	--enable-theora \
	--enable-twolame \
	--enable-vcdx \
	--enable-vdpau \
	--enable-vorbis \
%if %{with_x264}
	--enable-x264 \
%else
	--disable-x264 \
%endif
%if %{with_x265}
	--enable-x265 \
%else
	--disable-x265 \
%endif
	--enable-xvideo \
%ifarch x86_64
	--with-pic
%endif

%make

pushd po
make update-gmo
popd

%install
mkdir -p %{buildroot}%{_libdir}
%makeinstall_std transform=""

find %{buildroot}%{_libdir}/vlc -name \*.la -exec rm -f {} \;

%find_lang %{name}

# Private library, development file is useless
rm -f %{buildroot}%{_libdir}/vlc/libvlc_vdpau.so

rm -rf installed-docs
mv %{buildroot}%{_datadir}/doc/vlc installed-docs

# menu
desktop-file-install --vendor="" \
  --add-mime-type="x-content/video-dvd" \
  --add-mime-type="x-content/video-vcd" \
  --add-mime-type="x-content/video-svcd" \
  --add-mime-type="x-content/audio-cdda" \
  --add-category="Qt" \
  --dir %{buildroot}%{_datadir}/applications %{buildroot}%{_datadir}/applications/*

cat > %{buildroot}%{_datadir}/applications/mandriva-svlc.desktop << EOF
[Desktop Entry]
Name=VLC skinned GUI media player
Comment=VLC is a free MPEG, MPEG2, DVD and DivX player
Exec=%{_bindir}/svlc %U
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=AudioVideo;Audio;Video;Player;
EOF
fgrep MimeType= %{buildroot}%{_datadir}/applications/vlc.desktop >> %{buildroot}%{_datadir}/applications/mandriva-svlc.desktop

# icons
%define pngdir share/icons
mkdir -p %{buildroot}/{%{_miconsdir},%{_liconsdir}}
install -m 644 %{pngdir}/16x16/vlc.png %{buildroot}/%{_miconsdir}/vlc.png
install -m 644 %{pngdir}/32x32/vlc.png %{buildroot}/%{_iconsdir}/vlc.png
install -m 644 %{pngdir}/48x48/vlc.png %{buildroot}/%{_liconsdir}/vlc.png


%changelog
